Config::MVP::Reader::Findable(3)

NAME
Config::MVP::Reader::Findable - a config class that Config::MVP::Reader::Finder can find

VERSION
version 2.200002

DESCRIPTION
Config::MVP::Reader::Findable is a role meant to be composed alongside Config::MVP::Reader.

METHODS

  refined_location
This method is used to decide whether a Findable reader can read a specific thing under the $location argument passed to "read_config". The location could be a directory or base file name or dbh or almost anything else. This method will return false if it can't find anything to read. If it can find something to read, it will return a new (or unchanged) value for $location to be used in reading the config.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.